## haskell-swish 0.9.0.7

=== debian/changelog ===
haskell-swish (0.9.0.7-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Turtle parser: updated to the Candidate Recommendation (19
      February 2013) specification; added minor improvements to error
      messages when given invalid syntax. As part of the upgrade, there
      is no longer a default namespace set up for the empty prefix and
      numeric literals are no-longer converted into a canonical form.
    + Turtle/N3 output: improved string formatting (better handling of
      string literals with three or more consecutive @\"@ characters);
      blank node handling has been improved but the output may not be as
      elegant.
    + NTriples parser: now accepts upper-case language tags such as
      @en-UK@ (case is preserved).
    + @Swish.QName.LName@ names can now contain @#@, @:@ and @/@
      characters.
    + Added tests for the Turtle parser and formatter.
    + The new @w3ctests@ flag will build the @runw3ctests@ executable,
      which will run the W3C Turtle tests (if available locally).
    + Minor fixes and additions to the documentation.

  [ Jonas Smedegaard ]
  * Extend copyright coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Sep 2013 20:17:25 +0200

haskell-swish (0.9.0.3-1) unstable; urgency=low

  * Initial packaging.
    Closes: bug#718018.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jul 2013 22:59:10 +0200
