=== debian/control ===
Source: haskell-swish
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 ghc,
 libghc-hashable-dev (<< 1.3),
 libghc-mtl-dev (<< 3),
 libghc-network-dev (<< 2.5),
 libghc-polyparse-dev (<< 1.9),
 libghc-semigroups-dev (<< 0.10),
 libghc-text-dev (<< 0.12),
 libghc-intern-dev (<< 1.0),
 haskell-devscripts,
 help2man,
 libghc-hunit-dev,
 ghc-prof,
 libghc-hashable-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-polyparse-prof,
 libghc-semigroups-prof,
 libghc-text-prof,
 libghc-intern-prof
Build-Depends-Indep: ghc-doc
 , libghc-hashable-doc
 , libghc-mtl-doc
 , libghc-network-doc
 , libghc-polyparse-doc
 , libghc-semigroups-doc
 , libghc-text-doc
 , libghc-nats-doc
 , libghc-transformers-doc
 , libghc-unordered-containers-doc
Standards-Version: 3.9.4
Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
Vcs-Git: git://git.debian.org/git/collab-maint/haskell-swish.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-swish.git

Package: swish
Section: web
Architecture: any
Depends: ${misc:Depends}
 , ${shlibs:Depends}
Description: semantic web toolkit - tools
 Swish is a framework for performing deductions in RDF data using a
 variety of techniques. Swish is conceived as a toolkit for
 experimenting with RDF inference, and for implementing stand-alone RDF
 file processors (usable in similar style to CWM, but with a view to
 being extensible in declarative style through added Haskell function
 and data value declarations). It explores Haskell as "a scripting
 language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output. The N3 support is
    incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining and
    proof-checking modes.
  * Simple Horn-style rule implementations, extendable through variable
    binding modifiers and filters.
  * Class restriction rule implementation, primarily for datatype
    inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the swish tool.

Package: libghc-swish-dev
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: semantic web toolkit - libraries
 Swish is a framework for performing deductions in RDF data using a
 variety of techniques. Swish is conceived as a toolkit for
 experimenting with RDF inference, and for implementing stand-alone RDF
 file processors (usable in similar style to CWM, but with a view to
 being extensible in declarative style through added Haskell function
 and data value declarations). It explores Haskell as "a scripting
 language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output. The N3 support is
    incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining and
    proof-checking modes.
  * Simple Horn-style rule implementations, extendable through variable
    binding modifiers and filters.
  * Class restriction rule implementation, primarily for datatype
    inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-swish-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: semantic web toolkit - library documentation
 Swish is a framework for performing deductions in RDF data using a
 variety of techniques. Swish is conceived as a toolkit for
 experimenting with RDF inference, and for implementing stand-alone RDF
 file processors (usable in similar style to CWM, but with a view to
 being extensible in declarative style through added Haskell function
 and data value declarations). It explores Haskell as "a scripting
 language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output. The N3 support is
    incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining and
    proof-checking modes.
  * Simple Horn-style rule implementations, extendable through variable
    binding modifiers and filters.
  * Class restriction rule implementation, primarily for datatype
    inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the library documentation for swish.

Package: libghc-swish-prof
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Provides: ${haskell:Provides}
Description: semantic web toolkit - profiling libraries
 Swish is a framework for performing deductions in RDF data using a
 variety of techniques. Swish is conceived as a toolkit for
 experimenting with RDF inference, and for implementing stand-alone RDF
 file processors (usable in similar style to CWM, but with a view to
 being extensible in declarative style through added Haskell function
 and data value declarations). It explores Haskell as "a scripting
 language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output. The N3 support is
    incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining and
    proof-checking modes.
  * Simple Horn-style rule implementations, extendable through variable
    binding modifiers and filters.
  * Class restriction rule implementation, primarily for datatype
    inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
 .
 This package contains the profiling libraries for swish.
