## haskell-swish 0.9.0.14

=== debian/changelog ===
haskell-swish (0.9.0.14-1build2) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Aug 2014 12:38:13 +0200

haskell-swish (0.9.0.14-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Apr 2014 16:39:06 +0100

haskell-swish (0.9.0.14-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix update watch file to use Hackage distro-monitor.

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 29 Apr 2014 22:47:01 -0400

haskell-swish (0.9.0.12-1) unstable; urgency=medium

  * New upstream version.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Sun, 20 Apr 2014 10:15:26 -0400
