=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  libghc-hashable-dev (<< 1.3),
  libghc-mtl-dev (<< 3),
  libghc-network-dev (<< 2.5),
- libghc-polyparse-dev (<< 1.9),
- libghc-semigroups-dev (<< 0.10),
- libghc-text-dev (<< 0.12),
+ libghc-polyparse-dev (<< 1.9.1),
+ libghc-semigroups-dev (<< 0.14),
+ libghc-text-dev (<< 1.2),
  libghc-intern-dev (<< 1.0),
  haskell-devscripts,
  help2man,
@@ -36,7 +36,7 @@
  , libghc-nats-doc
  , libghc-transformers-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
 Vcs-Git: git://git.debian.org/git/collab-maint/haskell-swish.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-swish.git
