## haskell-swish 0.9.0.15

=== debian/changelog ===
haskell-swish (0.9.0.15-1build1) vivid; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Oct 2014 10:07:37 +0000

haskell-swish (0.9.0.15-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 16 Sep 2014 15:21:51 -0400
