=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 ghc-deps += hashable,<<,1.3
 ghc-deps += mtl,<<,3
 ghc-deps += network,<<,2.5
-ghc-deps += polyparse,<<,1.9
-ghc-deps += semigroups,<<,0.10
-ghc-deps += text,<<,0.12
+ghc-deps += polyparse,<<,1.9.1
+ghc-deps += semigroups,<<,0.14
+ghc-deps += text,<<,1.2
 ghc-deps += intern,<<,1.0
 #ghc-deps += intern,<<,1.0
 bdeps = ghc
