## haskell-swish 0.9.1.3

=== debian/changelog ===
haskell-swish (0.9.1.3-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2015 17:04:25 +0100

haskell-swish (0.9.1.3-2) unstable; urgency=medium

  * Drop build-dependency on libghc-transformers-doc, unnecessary with GHC
    7.8.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 May 2015 01:25:47 +0100

haskell-swish (0.9.1.3-1) unstable; urgency=medium

  * Move packaging to pkg-haskell Alioth group.
  * Update copyright info: Extend coverage for myself.
  * Bump debhelper compatibility level to 9.
  * Enable use of network-uri.
    Update package relations:
    + Tighten GHC (build-)dependencies on network.
    + Add GHC (build-)dependencies on network-uri.
    + Relax GHC (build-)dependencies on polyparse and semigroups.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Apr 2015 12:49:13 +0200

haskell-swish (0.9.1.0-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax GHC (build-)dependencies on text.
    + Drop lower bounds where no older version exists in Debian.
  * Update copyright info:
    + Extend coverage for main upstream author.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Fix use canonical Vcs-Git URL.
  * Set flag to avoid newer network-uri than available in Debian.
  * Add patch 1001 to avoid bogus dependency on old network-uri.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Dec 2014 14:37:21 +0100
