=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for swish
 #
 # This program is free software; you can redistribute it and/or modify
@@ -23,7 +23,11 @@
 
 DEB_UPSTREAM_PACKAGE = swish
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 488a2cb7a06a0a13f9b56d2059d67186
+DEB_UPSTREAM_TARBALL_MD5 = 2182faa29de941275a239091044888fd
+
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # helper macros used below
 expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
@@ -33,17 +37,17 @@
 # Needed by upstream build
 ghc-deps += hashable,<<,1.3
 ghc-deps += mtl,<<,3
-ghc-deps += network,<<,2.5
-ghc-deps += polyparse,<<,1.9.1
-ghc-deps += semigroups,<<,0.14
-ghc-deps += text,<<,1.2
+ghc-deps += network-uri,>=,2.6,<<,2.7
+ghc-deps += network,>=,2.6,<<,2.7
+ghc-deps += polyparse,<<,1.11.1
+ghc-deps += semigroups,<<,0.17
+ghc-deps += text,<<,1.3
 ghc-deps += intern,<<,1.0
-#ghc-deps += intern,<<,1.0
 bdeps = ghc
 bdeps +=, $(call expand-ghc-deps,dev,$(ghc-deps))
 
 # Needed by upstream testsuite
-ghc-deps-test = hunit
+ghc-deps-test = hunit test-framework test-framework-hunit
 bdeps-test = $(call expand-ghc-deps,dev,$(ghc-deps-test))
 
 # Needed by upstream profiling build
@@ -54,7 +58,6 @@
 bdeps-indep = ghc-doc
 # these are undeclared but warned about at build time
 ghc-deps-doc += nats
-ghc-deps-doc += transformers
 ghc-deps-doc += unordered-containers
 bdeps-indep +=, $(call strip-ghc-deps,doc,$(ghc-deps) $(ghc-deps-doc))
 
@@ -66,6 +69,9 @@
 CDBS_BUILD_DEPENDS_INDEP +=, $(bdeps-indep)
 
 DEB_ENABLE_TESTS = yes
+
+# avoid use of libraries not yet in Debian
+DEB_SETUP_GHC_CONFIGURE_ARGS = -fno-network-uri
 
 # generate manpage based on --help of script itself
 # (using wrappers to emulate --version and provide --description)
