## haskell-swish 0.9.1.5

=== debian/changelog ===
haskell-swish (0.9.1.5-2build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jan 2016 11:11:01 +0000

haskell-swish (0.9.1.5-2) unstable; urgency=medium

  * Fix (re-)drop build-dependency (accidentally reverted in 0.9.1.5-1).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2015 19:51:40 +0530

haskell-swish (0.9.1.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix source URL.
    + Extend coverage for main upstream author.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Relax inclusion of haskell-devscript snippet: Unneeded for clean
    target.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Add lintian override regarding debhelper 9.
  * Update package relations:
    + Relax GHC (build-)dependencies on semigroups.
    + Temporarily avoid build-depending on libghc-nats-doc
      (see bug#809032).
  * Strip hardcoded rpath of swish binary.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2015 19:16:01 +0530
