=== debian/control ===
--- 
+++ 
@@ -10,36 +10,44 @@
  ghc,
  libghc-hashable-dev (<< 1.3),
  libghc-mtl-dev (<< 3),
- libghc-network-dev (<< 2.5),
- libghc-polyparse-dev (<< 1.9.1),
- libghc-semigroups-dev (<< 0.14),
- libghc-text-dev (<< 1.2),
+ libghc-network-uri-dev (>= 2.6),
+ libghc-network-uri-dev (<< 2.7),
+ libghc-network-dev (>= 2.6),
+ libghc-network-dev (<< 2.7),
+ libghc-polyparse-dev (<< 1.11.1),
+ libghc-semigroups-dev (<< 0.19),
+ libghc-text-dev (<< 1.3),
  libghc-intern-dev (<< 1.0),
  haskell-devscripts,
  help2man,
  libghc-hunit-dev,
+ libghc-test-framework-dev,
+ libghc-test-framework-hunit-dev,
  ghc-prof,
  libghc-hashable-prof,
  libghc-mtl-prof,
+ libghc-network-uri-prof,
  libghc-network-prof,
  libghc-polyparse-prof,
  libghc-semigroups-prof,
  libghc-text-prof,
- libghc-intern-prof
+ libghc-intern-prof,
+ chrpath
 Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
  , libghc-mtl-doc
+ , libghc-network-uri-doc
  , libghc-network-doc
  , libghc-polyparse-doc
  , libghc-semigroups-doc
  , libghc-text-doc
- , libghc-nats-doc
- , libghc-transformers-doc
+# TODO: Uncomment nats when bug#809032 is fixed
+# , libghc-nats-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
-Vcs-Git: git://git.debian.org/git/collab-maint/haskell-swish.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-swish.git
+Vcs-Git: git://anonscm.debian.org/pkg-haskell/haskell-swish.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/haskell-swish.git
 
 Package: swish
 Section: web
