=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,11 @@
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk
+-include /usr/share/cdbs/1/class/hlibrary.mk
 
 DEB_UPSTREAM_PACKAGE = swish
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 2182faa29de941275a239091044888fd
+DEB_UPSTREAM_TARBALL_MD5 = 2dee83d2a3e683c99ee61b47b3847c97
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
@@ -40,7 +40,7 @@
 ghc-deps += network-uri,>=,2.6,<<,2.7
 ghc-deps += network,>=,2.6,<<,2.7
 ghc-deps += polyparse,<<,1.11.1
-ghc-deps += semigroups,<<,0.17
+ghc-deps += semigroups,<<,0.19
 ghc-deps += text,<<,1.3
 ghc-deps += intern,<<,1.0
 bdeps = ghc
@@ -57,7 +57,8 @@
 # Needed by upstream documentation build
 bdeps-indep = ghc-doc
 # these are undeclared but warned about at build time
-ghc-deps-doc += nats
+# TODO: Uncomment nats when bug#809032 is fixed
+#ghc-deps-doc += nats
 ghc-deps-doc += unordered-containers
 bdeps-indep +=, $(call strip-ghc-deps,doc,$(ghc-deps) $(ghc-deps-doc))
 
@@ -86,3 +87,8 @@
 	rm -f debian/Swish.1
 
 DEB_INSTALL_EXAMPLES_swish = scripts/*
+
+# Strip hardcoded rpath
+CDBS_BUILD_DEPENDS +=, chrpath
+binary-strip/swish::
+	find debian/$(cdbs_curpkg)/usr/bin -type f -execdir chrpath -d '{}' +
