## haskell-swish 0.9.1.7

=== debian/changelog ===
haskell-swish (0.9.1.7-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Extend copyright for main upstream author to cover current year.
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Feb 2016 13:24:56 +0100
