=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
 # TODO: Uncomment nats when bug#809032 is fixed
 # , libghc-nats-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
 Vcs-Git: git://anonscm.debian.org/pkg-haskell/haskell-swish.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/haskell-swish.git
