=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for swish
 #
 # This program is free software; you can redistribute it and/or modify
@@ -23,7 +23,7 @@
 
 DEB_UPSTREAM_PACKAGE = swish
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 2dee83d2a3e683c99ee61b47b3847c97
+DEB_UPSTREAM_TARBALL_MD5 = 44e1b8e3b126c7e3b7fdd38db7f0e1ed
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
