## haskell-swish 0.9.1.8

=== debian/changelog ===
haskell-swish (0.9.1.8-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 17:14:33 +0200

haskell-swish (0.9.1.8-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Update upper bound on polyparse and directory.
    + Fix build failure of RDFGraphTest with time >= 1.6.
    + Update copyright years in README.md.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on licensecheck.
    + Stop explicitly suppress versioned build-dependency on debhelper.
    + Stop track upstream tarbarll checksum: Use gbp --uscan.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend copyright of packaging to cover current year.
    + Use https protocol in format string.
  * Declare compliance with Debian Policy 4.0.0.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update package relations:
    + Drop GHC lower bounds for network-uri: Needed version satisfied
      even in oldsable.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Fix enable use of network-url, as intended since 0.9.1.3-1.
    Drop patch 1001.
  * Drop patches 1002 1003: Fixed upstream.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Consistently use git (not cgit) in paths.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2017 09:46:37 +0200

haskell-swish (0.9.1.7-4) unstable; urgency=medium

  * Team upload.
  * Bump directory bounds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 08:16:17 +0200

haskell-swish (0.9.1.7-3) unstable; urgency=medium

  * Modernize CDBS setup: Build-depend on licensecheck (not devscripts).
  * Simply doing this rebuild implies rebuilding against ghc 8.
    Closes: Bug#843404. Thanks to Clint Adams.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Nov 2016 01:18:10 +0100

haskell-swish (0.9.1.7-2) unstable; urgency=medium

  * Unfuzz patch 1001.
  * Add patch to relax dependency on polyparse.
    Relax build-dependency accordingly.
    Thanks to Sean Whitton.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 May 2016 17:35:09 +0200
