=== debian/control ===
--- 
+++ 
@@ -4,17 +4,15 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
  debhelper,
  dh-buildinfo,
  ghc,
  libghc-hashable-dev (<< 1.3),
  libghc-mtl-dev (<< 3),
- libghc-network-uri-dev (>= 2.6),
  libghc-network-uri-dev (<< 2.7),
  libghc-network-dev (>= 2.6),
  libghc-network-dev (<< 2.7),
- libghc-polyparse-dev (<< 1.11.1),
+ libghc-polyparse-dev (<< 1.12.1),
  libghc-semigroups-dev (<< 0.19),
  libghc-text-dev (<< 1.3),
  libghc-intern-dev (<< 1.0),
@@ -41,13 +39,11 @@
  , libghc-polyparse-doc
  , libghc-semigroups-doc
  , libghc-text-doc
-# TODO: Uncomment nats when bug#809032 is fixed
-# , libghc-nats-doc
  , libghc-unordered-containers-doc
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
-Vcs-Git: git://anonscm.debian.org/pkg-haskell/haskell-swish.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/haskell-swish.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/haskell-swish.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-haskell/haskell-swish.git
 
 Package: swish
 Section: web
