## haskell-swish 0.9.1.10

=== debian/changelog ===
haskell-swish (0.9.1.10-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    0.9.1.9:
    + Update upper bound on HUnit (only affects tests).
    + Add stack.yaml file.
    0.9.1.10:
    + Update upper bound on time to work with ghc 8.2.1.
    + Updated stack.yaml to use lts 9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Aug 2017 01:51:45 +0200
