=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2013-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for swish
 #
 # This program is free software; you can redistribute it and/or modify
@@ -17,17 +17,11 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 -include /usr/share/cdbs/1/class/hlibrary.mk
 
 DEB_UPSTREAM_PACKAGE = swish
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 44e1b8e3b126c7e3b7fdd38db7f0e1ed
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # helper macros used below
 expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
@@ -37,9 +31,9 @@
 # Needed by upstream build
 ghc-deps += hashable,<<,1.3
 ghc-deps += mtl,<<,3
-ghc-deps += network-uri,>=,2.6,<<,2.7
+ghc-deps += network-uri,<<,2.7
 ghc-deps += network,>=,2.6,<<,2.7
-ghc-deps += polyparse,<<,1.11.1
+ghc-deps += polyparse,<<,1.12.1
 ghc-deps += semigroups,<<,0.19
 ghc-deps += text,<<,1.3
 ghc-deps += intern,<<,1.0
@@ -57,7 +51,7 @@
 # Needed by upstream documentation build
 bdeps-indep = ghc-doc
 # these are undeclared but warned about at build time
-# TODO: Uncomment nats when bug#809032 is fixed
+# * nats avoided (see bug#809032)
 #ghc-deps-doc += nats
 ghc-deps-doc += unordered-containers
 bdeps-indep +=, $(call strip-ghc-deps,doc,$(ghc-deps) $(ghc-deps-doc))
@@ -70,9 +64,6 @@
 CDBS_BUILD_DEPENDS_INDEP +=, $(bdeps-indep)
 
 DEB_ENABLE_TESTS = yes
-
-# avoid use of libraries not yet in Debian
-DEB_SETUP_GHC_CONFIGURE_ARGS = -fno-network-uri
 
 # generate manpage based on --help of script itself
 # (using wrappers to emulate --version and provide --description)
