## haskell-swish 0.9.2.1

=== debian/changelog ===
haskell-swish (0.9.2.1-2) unstable; urgency=medium

  * Simple rebuild.
    Closes: Bug#896974.
  * Update watch file:
    + Fix typo in usage comment.
    + Mention gbp option --upstream-vcs-tag in usage comment.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 May 2018 09:28:49 +0200

haskell-swish (0.9.2.1-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
  0.9.2.0:
    + Initial support for ghc 8.4.
    + Updated to lts 10.8 in stack.yaml so was able to drop extra intern
      dependency version.
    + Now builds with -Wcompat if ghc 8.0 or later is used.
  0.9.2.1:
    + Updated the minimum base package to 4.5.0.0 (GHC 7.4.1), and
      removed some old code for supporting older GHC/package versions.
    + Applied some HLint suggestions.
    + Updated to allow time-1.9.1 (but not time-1.9.0).
    + Updated to lts 11.1 in stack.yaml.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Add usage comment.
    + Bump to version 4.
    + Use substitution variables.
  * Update copyright info:
    + Extend coverage for myself.
    + Rewrap using semantic newlines.
    + Add alternate hg source URL.
    + Extend coverage for main upstream author.
  * Tighten lintian overrides regarding License-Reference.
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare compliance with Debian Policy 4.1.4.
  * Use priority optional (not deprecated extra).
  * Update Maintainer email address.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Fix add GHC build-dependencies for old-locale.
  * This build rebuilds -doc package.
    Closes: Bug#896974.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Apr 2018 22:35:18 +0200
