=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: haskell-swish
 Section: haskell
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  ghc,
+ ghc-prof,
  libghc-hashable-dev (<< 1.3),
+ libghc-hashable-prof,
+ libghc-intern-dev (<< 1.0),
+ libghc-intern-prof,
  libghc-mtl-dev (<< 3),
- libghc-network-uri-dev (<< 2.7),
+ libghc-mtl-prof,
  libghc-network-dev (>= 2.6),
  libghc-network-dev (<< 2.7),
+ libghc-network-prof,
+ libghc-network-uri-dev (<< 2.7),
+ libghc-network-uri-prof,
+ libghc-old-locale-dev (<< 1.1),
+ libghc-old-locale-prof,
  libghc-polyparse-dev (<< 1.12.1),
+ libghc-polyparse-prof,
  libghc-semigroups-dev (<< 0.19),
+ libghc-semigroups-prof,
  libghc-text-dev (<< 1.3),
- libghc-intern-dev (<< 1.0),
+ libghc-text-prof,
  haskell-devscripts,
  help2man,
- libghc-hunit-dev,
- libghc-test-framework-dev,
- libghc-test-framework-hunit-dev,
- ghc-prof,
- libghc-hashable-prof,
- libghc-mtl-prof,
- libghc-network-uri-prof,
- libghc-network-prof,
- libghc-polyparse-prof,
- libghc-semigroups-prof,
- libghc-text-prof,
- libghc-intern-prof,
  chrpath
 Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
@@ -40,10 +39,10 @@
  , libghc-semigroups-doc
  , libghc-text-doc
  , libghc-unordered-containers-doc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/haskell-swish.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-haskell/haskell-swish.git
+Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
 
 Package: swish
 Section: web
@@ -77,7 +76,6 @@
  This package contains the swish tool.
 
 Package: libghc-swish-dev
-Priority: extra
 Architecture: any
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
@@ -114,7 +112,6 @@
 
 Package: libghc-swish-doc
 Section: doc
-Priority: extra
 Architecture: all
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
@@ -147,7 +144,6 @@
  This package contains the library documentation for swish.
 
 Package: libghc-swish-prof
-Priority: extra
 Architecture: any
 Depends: ${haskell:Depends}
  , ${haskell:Extra-Depends}
