## haskell-swish 0.10.0.0

=== debian/changelog ===
haskell-swish (0.10.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Update packages to support building with ghc 8.6
      (increase base and containers limit).

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update copyright info: Drop files section for obsolete patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Oct 2018 19:05:03 +0200
