=== debian/control ===
--- 
+++ 
@@ -39,10 +39,11 @@
  , libghc-semigroups-doc
  , libghc-text-doc
  , libghc-unordered-containers-doc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
+Rules-Requires-Root: no
 
 Package: swish
 Section: web
