## haskell-swish 0.10.0.1

=== debian/changelog ===
haskell-swish (0.10.0.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Bump to support polyparse and its GHC 8.6 compatibility.

  [ Jonas Smedegaard ]
  * Update package relations: Relax GHC upper bounds for polyparse.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Dec 2018 17:07:57 +0100
