=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libghc-network-uri-prof,
  libghc-old-locale-dev (<< 1.1),
  libghc-old-locale-prof,
- libghc-polyparse-dev (<< 1.12.1),
+ libghc-polyparse-dev (<< 1.13),
  libghc-polyparse-prof,
  libghc-semigroups-dev (<< 0.19),
  libghc-semigroups-prof,
