=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 ghc-deps += old-locale,<<,1.1
 ghc-deps += network-uri,<<,2.7
 ghc-deps += network,>=,2.6,<<,2.7
-ghc-deps += polyparse,<<,1.12.1
+ghc-deps += polyparse,<<,1.13
 ghc-deps += semigroups,<<,0.19
 ghc-deps += text,<<,1.3
 ghc-deps += intern,<<,1.0
