## haskell-swish 0.10.0.2

=== debian/changelog ===
haskell-swish (0.10.0.2-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:03:54 +0000

haskell-swish (0.10.0.2-1build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:51:28 +0000

haskell-swish (0.10.0.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Fix drop GHC relations mtl text (provided by ghc).
    + Fix drop GHC relations network (unneeded since 0.9.2.1).
    + Relax GHC upper bounds for hashable.
    + Fix really drop network-dev upper bound restriction.
  * Update homepage.
  * Update copyright info:
    + Update preferred upstream contact, and alternate source URL.
    + Extend coverage for main upstream author.
    + Extend coverage of packaging.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 17:06:52 +0200

haskell-swish (0.10.0.1-2) unstable; urgency=medium

  * Team upload
  * Drop network-dev upper bound restriction on control file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Aug 2019 13:51:50 +0200
