=== debian/control ===
--- 
+++ 
@@ -8,15 +8,10 @@
  dh-buildinfo,
  ghc,
  ghc-prof,
- libghc-hashable-dev (<< 1.3),
+ libghc-hashable-dev (<< 1.4),
  libghc-hashable-prof,
  libghc-intern-dev (<< 1.0),
  libghc-intern-prof,
- libghc-mtl-dev (<< 3),
- libghc-mtl-prof,
- libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.7),
- libghc-network-prof,
  libghc-network-uri-dev (<< 2.7),
  libghc-network-uri-prof,
  libghc-old-locale-dev (<< 1.1),
@@ -25,22 +20,17 @@
  libghc-polyparse-prof,
  libghc-semigroups-dev (<< 0.19),
  libghc-semigroups-prof,
- libghc-text-dev (<< 1.3),
- libghc-text-prof,
  haskell-devscripts,
  help2man,
  chrpath
 Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
- , libghc-mtl-doc
  , libghc-network-uri-doc
- , libghc-network-doc
  , libghc-polyparse-doc
  , libghc-semigroups-doc
- , libghc-text-doc
  , libghc-unordered-containers-doc
-Standards-Version: 4.2.1
-Homepage: https://bitbucket.org/doug_burke/swish/wiki/Home
+Standards-Version: 4.4.1
+Homepage: https://gitlab.com/dburke/swish
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
 Rules-Requires-Root: no
