=== debian/rules ===
--- 
+++ 
@@ -40,14 +40,11 @@
  $(word 5,$(subst $(comma),$(space),$(dep))))))
 
 # Needed by upstream build
-ghc-deps += hashable,<<,1.3
-ghc-deps += mtl,<<,3
+ghc-deps += hashable,<<,1.4
 ghc-deps += old-locale,<<,1.1
 ghc-deps += network-uri,<<,2.7
-ghc-deps += network,>=,2.6,<<,2.7
 ghc-deps += polyparse,<<,1.13
 ghc-deps += semigroups,<<,0.19
-ghc-deps += text,<<,1.3
 ghc-deps += intern,<<,1.0
 bdeps = ghc, ghc-prof
 bdeps +=, $(call expand-ghc-deps,dev,prof,$(ghc-deps))
