## haskell-swish 0.10.0.3

=== debian/changelog ===
haskell-swish (0.10.0.3-2) unstable; urgency=medium

  * update package relations:
    + add patch 1001 to relax dependency on semigroups;
    + relax GHC upper bounds for semigroups
    + fix really relax GHC upper bounds for polyparse

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 01:39:04 +0200

haskell-swish (0.10.0.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update package relations: relax GHC upper bounds for polyparse
  * copyright: extend coverage
  * declare compliance with Debian Policy 4.5.0
  * use debhelper compatibility level 10 (not 9)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2020 10:27:37 +0200
