=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libghc-network-uri-prof,
  libghc-old-locale-dev (<< 1.1),
  libghc-old-locale-prof,
- libghc-polyparse-dev (<< 1.13),
+ libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
- libghc-semigroups-dev (<< 0.19),
+ libghc-semigroups-dev (<< 0.20),
  libghc-semigroups-prof,
  haskell-devscripts,
  help2man,
@@ -29,7 +29,7 @@
  , libghc-polyparse-doc
  , libghc-semigroups-doc
  , libghc-unordered-containers-doc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/dburke/swish
 Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
