## haskell-swish 0.10.0.4

=== debian/changelog ===
haskell-swish (0.10.0.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source script copyright-check
  * fix update -doc build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jul 2020 22:05:47 +0200
