=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
  chrpath
 Build-Depends-Indep: ghc-doc
  , libghc-hashable-doc
+ , libghc-intern-doc
  , libghc-network-uri-doc
+ , libghc-old-locale-doc
  , libghc-polyparse-doc
  , libghc-semigroups-doc
  , libghc-unordered-containers-doc
