=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,4 @@
 #!/usr/bin/make -f
-# -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2013-2018 Jonas Smedegaard <dr@jones.dk>
-# Description: Main Debian packaging script for swish
-#
-# This program is free software;
-# you can redistribute it and/or modify it
-# under the terms of the GNU General Public License
-# as published by the Free Software Foundation;
-# either version 3, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY;
-# without even the implied warranty
-# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-# See the GNU General Public License for more details.
-#
-# You should have received a copy
-# of the GNU General Public License along with this program.
-# If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 -include /usr/share/cdbs/1/class/hlibrary.mk
@@ -43,8 +24,8 @@
 ghc-deps += hashable,<<,1.4
 ghc-deps += old-locale,<<,1.1
 ghc-deps += network-uri,<<,2.7
-ghc-deps += polyparse,<<,1.13
-ghc-deps += semigroups,<<,0.19
+ghc-deps += polyparse,<<,1.14
+ghc-deps += semigroups,<<,0.20
 ghc-deps += intern,<<,1.0
 bdeps = ghc, ghc-prof
 bdeps +=, $(call expand-ghc-deps,dev,prof,$(ghc-deps))
