## haskell-swish 0.10.0.5

=== debian/changelog ===
haskell-swish (0.10.0.5-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:53:03 +0200

haskell-swish (0.10.0.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Aug 2021 19:10:40 +0200
